> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/compute-services/cubes/api-how-tos/delete-instance.md).

# Delete an Instance

You can delete the specified Cubes instance within a data center.

{% hint style="warning" %}
**Warning:**

* If the query parameter is set to `true`, the attached storage volumes will also be removed; otherwise, a separate API call must be made for these actions.
* Deleting an instance also deletes the direct-attached storage NVMe volume. Make a snapshot first in case you need to recreate the instance with the appropriate data device later.
  {% endhint %}

## Endpoint

Use the following endpoint for Cubes: `https://api.ionos.com/cloudapi/v6/datacenters/{datacenterId}/servers`

## Request

{% hint style="info" %}
**Note:** The following request contains sample values. Remember to replace them with the relevant information.
{% endhint %}

```bash
curl -X 'DELETE' \
  'https://api.ionos.com/cloudapi/v6/datacenters/{datacenterId}/servers/{serverId}' \
  -H 'accept: application/json'
```

{% tabs %}
{% tab title="Path Parameters" %}

{% endtab %}

{% tab %}
To make authenticated requests to the API, the following fields are mandatory in the request header:
{% endtab %}
{% endtabs %}

| **Name**       | **Type** | **Description**            |
| -------------- | :------: | -------------------------- |
| `datacenterId` |  string  | The ID of the data center. |
| `serverId`     |  string  | The ID of the Cube.        |

## Response

A **202** message confirms that the instance is deleted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/compute-services/cubes/api-how-tos/delete-instance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
